package org.mycompany.connector;

import org.bonitasoft.engine.filter.AbstractUserFilter;
import org.bonitasoft.engine.connector.ConnectorValidationException;

public abstract class AbstractListOfActorsImpl extends AbstractUserFilter {

	protected final static String LISTOFUSERIDS_INPUT_PARAMETER = "listOfUserIDs";

	protected final java.util.List getListOfUserIDs() {
		return (java.util.List) getInputParameter(LISTOFUSERIDS_INPUT_PARAMETER);
	}

	@Override
	public void validateInputParameters() throws ConnectorValidationException {
		try {
			getListOfUserIDs();
		} catch (ClassCastException cce) {
			throw new ConnectorValidationException(
					"listOfUserIDs type is invalid");
		}

	}

}
