package org.mycompany.connector;

import org.bonitasoft.engine.filter.AbstractUserFilter;
import org.bonitasoft.engine.connector.ConnectorValidationException;

public abstract class AbstractVorhBenutzerOderAlleImpl extends
		AbstractUserFilter {

	protected final static String USERID_INPUT_PARAMETER = "userID";

	protected final java.lang.Long getUserID() {
		return (java.lang.Long) getInputParameter(USERID_INPUT_PARAMETER);
	}

	@Override
	public void validateInputParameters() throws ConnectorValidationException {
		try {
			getUserID();
		} catch (ClassCastException cce) {
			throw new ConnectorValidationException("userID type is invalid");
		}

	}

}
